- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RakNetTransportCommandParser Class Reference

RakNetTransport has its own command parser to enable remote users to change the command console's password. More...

`#include <RakNetTransport.h>`

Inheritance diagram for RakNetTransportCommandParser:

List of all members.

## Public Member Functions
bool | OnCommand (const char *command, unsigned numParameters, char **parameterList, TransportInterface *transport, SystemAddress systemAddress, const char *originalString)
const char * | GetName (void) const
void | SendHelp (TransportInterface *transport, SystemAddress systemAddress)

## Detailed Description

RakNetTransport has its own command parser to enable remote users to change the command console's password.

## Member Function Documentation

bool RakNetTransportCommandParser::OnCommand | ( | const char * | command,
|  | unsigned | numParameters,
|  | char ** | parameterList,
|  | TransportInterface * | transport,
|  | SystemAddress | systemAddress,
|  | const char * | originalString |
| ) |  |  | `[virtual]`

Given command with parameters parameterList , do whatever processing you wish.

Parameters:

  `[in]` | command | The command to process
  `[in]` | numParameters | How many parameters were passed along with the command
  `[in]` | parameterList | The list of parameters. parameterList[0] is the first parameter and so on.
  `[in]` | transport | The transport interface we can use to write to
  `[in]` | systemAddress | The player that sent this command.
  `[in]` | originalString | The string that was actually sent over the network, in case you want to do your own parsing

Implements CommandParserInterface.

const char * RakNetTransportCommandParser::GetName | ( | void |  | ) | const`[virtual]`

You are responsible for overriding this function and returning a static string, which will identifier your parser. This should return a static string

Returns:
  The name that you return.

Implements CommandParserInterface.

void RakNetTransportCommandParser::SendHelp | ( | TransportInterface * | transport,
|  | SystemAddress | systemAddress |
| ) |  |  | `[virtual]`

A callback for when you are expected to send a brief description of your parser to systemAddress

Parameters:

  `[in]` | transport | The transport interface we can use to write to
  `[in]` | systemAddress | The player that requested help.

Implements CommandParserInterface.

The documentation for this class was generated from the following files:

- C:/RakNet/Source/RakNetTransport.h
- C:/RakNet/Source/RakNetTransport.cpp